package com.ruoyi.project.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * /**
 *
 * @author fangk
 * @date 2024/5/28
 * @desc AppConfig 应用配置
 */

@Configuration
@ConfigurationProperties(prefix = "app")
public class AppConfig {

    /* 
    
app:
  uploadFolder: D:/KOYO_BJXT/uploadPath/
  # 资料库根目录
  dataFolder: D:/KOYO_BJXT/dataPath/
     */

    private static String dataFolder;
    private String uploadFolder;
    private String uploadFolder2;

    public static String getDataFolder() {
        return dataFolder;
    }

    public void setDataFolder(String dataFolder) {
        AppConfig.dataFolder = dataFolder;
    }

    public String getUploadFolder() {
        return uploadFolder;
    }

    public void setUploadFolder(String uploadFolder) {
        this.uploadFolder = uploadFolder;
    }
}